// file: $isip/class/pr/ProductionRule/prdrl_00.cc
// version: $Id: prdrl_00.cc 10396 2006-01-26 17:29:04Z may $

// ISIP include files
//
#include "ProductionRule.h"

// constant: class name
//
const String ProductionRule::CLASS_NAME(L"ProductionRule");
const String ProductionRule::DEF_PARAM(L"");
const String ProductionRule::PARAM_RULE_NAME(L"rule_name");
const String ProductionRule::PARAM_RULE_TYPE(L"rule_type");
const String ProductionRule::RULE_NAME_BASE(L"R");
const String ProductionRule::START_RULE_NAME(L"RS");
const String ProductionRule::TERM_RULE_NAME(L"RT");
const String ProductionRule::DEF_RULE_NAME(L"");
const String ProductionRule::PARAM_RULE(L"rule");
const long ProductionRule::DEF_TAG = 0;

// type namemap definition
//
const NameMap ProductionRule::TYPE_MAP(L"NORMAL, START");

// method: default constructor
//
// arguments: none
//
// return: none
//
ProductionRule::ProductionRule () {

  // set the debug level
  //
  debug_level_d = Integral::NONE;
  
  rule_type_d = DEF_TYPE;
}
